require("../css/qcScore.less");
const $ = require('jquery');
require('jquery-templates');
require('./modal.js');
const { post, post1, getUrlArgObject, setBoxHeight, getCookie, getLocal, initScroll } = require('./utils.js');
const { api, ywCheckApi } = require('./api.js');
let checkOk = require('./../images/checkOk.png')
const loadingImg = require("./../images/loading.gif")
const adLogo = require("../images/adlogo.png")
if (localStorage.getItem('toLogin') === '1') {
  window.location.href = '../login.html';
}
$(function () {
  const hideLogo = getUrlArgObject("hideLg");
  if (hideLogo) {
    $(".sub-menu .logo img,.copy-right").remove();
    $(".menu-mini .logo").text("");
  }
  const otherLogo = getUrlArgObject("adLg");
  if (otherLogo) {
    $(".logo img").attr("src", adLogo);
    $(".menu-mini .logo").text("艾登");
    $(".copy-right").remove();
  }
  //本页全局变量
  let global_flawData = {};    //缺陷数据
  let global_flawDataPay = {};    //缺陷数据
  const global_id = getUrlArgObject("id");
  const global_hid = getUrlArgObject("hid");
  let global_check;
  let global_check_home, global_check_show, check_Operation_WithAppeal;
  let global_entryName, global_casesEntryId
  const global_code = getUrlArgObject("code");
  let global_activeTab = $(".sub-menu .page.active").attr("code");  //当前激活菜单项
  let global_modules = {};   //模板数据缓存
  let global_flaws = [];  //缺陷条目列表缓存
  let global_selectedFlaw = {};    //新增时选中的条目信息
  let menuList = [];
  let global_diagList;
  let global_operaList;

  let Rejected = []
  let num = 0 // 机器质控问题数量
  let status = "" // 审核状态
  let scoreRes = 0 //病例分数
  let tableDataType = 0 //缺陷总览表格 0:全部数据,1:未审核


  getAllModules();
  let showCheckBtns = global_code === "YH-ZKHC-HCRWLB";
  window.document.title = (showCheckBtns ? "质控核查-" : "质控评分-") + getUrlArgObject("name");

  let hasAu3 = showCheckBtns && hasData('FUNC000011');   //新增缺陷权限
  hasAu3 = true
  if (hasAu3) {
    $(".add-flaw").click(function () {
      // alert()
      getQcCasesEntry();
    });
  }
  $("body").on("click", ".refreshBtn", function () {
    supplementData()
  });

  //let hml = '<div class="content-item" code="病案首页编辑" style="display: block;">' +
  //  '<h2 class="title">' + '<button class="save">保存</button>' + "病案首页编辑" + ' </h2>' +
  //  '<div class="container content-hts">';
  //$.tmpl(hml, {}).appendTo("#contentInfo");
  function addLeaveDiags() {//取表格里的数据-出院诊断
    let leaveDiagsArry = []
    let i = 0//顺序号
    $('.embed-table tbody tr').each(function (rowIndex) {//遍历每一行
      if (rowIndex > 0 && $(this).find('th').length === 0) {

        let diagsObj = {
          "behospitalType": "",
          "diagnoseName": "",
          "diagnoseOrderNo": "",
          "diagnoseType": "",
          "diagnoseTypeShort": "",
          "behospitalCode": global_id,
          "hospitalId": global_hid,
          "icdCode": "",
          "leaveHospitalType": "",
          "pathologyDiagnose": "",
          "homePageId": ""
        };
        diagsObj.diagnoseName = $(this).find('td').eq(0).text()
        diagsObj.icdCode = $(this).find('td').eq(1).text()
        diagsObj.behospitalType = $(this).find('td').eq(2).text()
        diagsObj.leaveHospitalType = $(this).find('td').eq(3).text()
        diagsObj.diagnoseOrderNo = global_diagList[i].诊断序号


        if (rowIndex === 2) {
          diagsObj.diagnoseType = "主要诊断"
          diagsObj.diagnoseTypeShort = "主"
        } else {
          diagsObj.diagnoseType = "次要诊断"
          diagsObj.diagnoseTypeShort = "次"
        }

        leaveDiagsArry.push(diagsObj)
        i = i + 1
      }
    });
    return leaveDiagsArry
  }

  function addoperations() {//取表格里的数据-手术情况
    let operationsArry = []
    let i = 0//顺序号
    $('.opera-table tbody tr').each(function (rowIndex) {//遍历每一行
      if (rowIndex > 1 && $(this).find('th').length === 0) {

        let operationObj = {
          "anaesthesiaDoctor": "",
          "anaesthesiaName": "",
          "cutLevel": "",
          "firstAssistantId": "",
          "healingLevel": "",
          "behospitalCode": global_id,
          "hospitalId": global_hid,
          "operationCode": "",
          "operationDate": "",
          "operationDoctorId": "",
          "operationLevel": "",
          "operationName": "",
          "operationOrderNo": "",
          "secondAssistantId": "",
          "shamOperationName": "",
          "homePageId": ""
        }
        operationObj.operationOrderNo = global_operaList[i].手术序号
        //operationObj.homePageId = $('.patient-info span').eq(0).text().match(/\d+/)[0]
        operationObj.operationCode = $(this).find('td').eq(0).text()
        operationObj.operationDate = $(this).find('td').eq(1).text()
        operationObj.operationLevel = $(this).find('td').eq(2).text()
        operationObj.operationName = $(this).find('td').eq(3).text()
        operationObj.operationDoctorId = $(this).find('td').eq(4).text()
        operationObj.firstAssistantId = $(this).find('td').eq(5).text()
        operationObj.secondAssistantId = $(this).find('td').eq(6).text()
        operationObj.cutLevel = $(this).find('td').eq(7).text()
        operationObj.healingLevel = $(this).find('td').eq(8).text()
        operationObj.anaesthesiaName = $(this).find('td').eq(9).text()
        operationObj.anaesthesiaDoctor = $(this).find('td').eq(10).text()

        // console.log(operationObj.operationOrderNo);
        operationsArry.push(operationObj)
        i = i + 1;
      }


    });
    return operationsArry
  }
  var isEditing = false;
  $('p, .embed-table .table-1 td, .opera-table td,.embed-table .table-2 td').attr('contenteditable', isEditing);
  $("body").on("click", ".save", function () {
    isEditing = !isEditing; // 切换状态
    if (isEditing) {
      $(this).text('保存');
    } else {
      $(this).text('编辑');
      let state = saveOrUpdate()
      if (state === true) {
        console.log("保存成功");
      } else {
        console.log("保存失败");
      }



    }
    $('p, .embed-table .table-1 td, .opera-table td,.embed-table .table-2 td').attr('contenteditable', isEditing);
  });

  function saveOrUpdate() {
    let state = 1

    let name = $('#anchor2242 p').text(),
      sex = $('#anchor22322 p').text(),
      birthday = $('#anchor22323 p').text(),
      ageType = $('#anchor22325 p').text(),
      nationality = $('#anchor22324 p').text(),
      newbornAgeUnit = $('#anchor2243 p').text(),
      newbornWeightUnit = $('#anchor2244 p').text(),
      newbornBehospitalWeightUnit = $('#anchor2245 p').text(),
      bornAddress = $('#anchor2246 p').text(),
      bornPlace = $('#anchor2247 p').text(),
      nation = $('#anchor2248 p').text(),
      identityCardNo = $('#anchor2249 p').text(),
      jobType = $('#anchor2250 p').text(),
      marriage = $('#anchor2251 p').text(),
      curAddress = $('#anchor2252 p').text(),
      curPhone = $('#anchor22328 p').text(),
      curPostCode = $('#anchor22329 p').text(),
      residenceAddress = $('#anchor2253 p').text(),
      residencePostCode = $('#anchor2254 p').text(),
      workAddress = $('#anchor2255 p').text(),
      workPhone = $('#anchor22326 p').text(),
      workPostCode = $('#anchor22327 p').text(),
      contactName = $('#anchor2256 p').text(),
      contactRelation = $('#anchor22330 p').text(),
      contactAddress = $('#anchor22331 p').text(),
      contactPhone = $('#anchor22332 p').text(),

      behospitalWay = $('#anchor2257 p').text(),
      behospitalDate = $('#anchor2258 p').text(),
      behospitalDept = $('#anchor22333 p').text(),
      behospitalWard = $('#anchor22334 p').text(),
      behospitalBedId = "",
      behospitalBedCode = "",
      changeDept = $('#anchor22335 p').text(),
      leaveHospitalDate = $('#anchor2259 p').text(),
      leaveHospitalDept = $('#anchor22336 p').text(),
      leaveHospitalWard = $('#anchor22337 p').text(),
      leaveHospitalBedId = "",
      leaveHospitalBedCode = "",
      behospitalDayNum = $('#anchor22338 p').text(),

      outpatientEmrDiagnose = $('#anchor2260 p').text(),
      outpatientEmrDiagnoseCode = $('#anchor2261 p').text(),
      poisonFactor = $('#anchor2263 p').text(),
      poisonFactorCode = $('#anchor2264 p').text(),
      pathologyDiagnose = $('#anchor2265 p').text(),
      pathologyDiagnoseCode = $('#anchor2266 p').text(),
      pathologyDiagnoseId = $('#anchor2267 p').text(),

      //药物过敏
      isMedAllergy = $('#anchor2268 p').text(),
      medAllergyName = $('#anchor2269 p').text(),

      autopsy = $('#anchor2270 p').text(),
      bloodType = $('#anchor2271 p').text(),
      rh = $('#anchor2272 p').text(),
      deptDirector = $('#anchor2273 p').text(),
      directorDoctor = $('#anchor2274 p').text(),
      attendingDoctor = $('#anchor2275 p').text(),
      behospitalDoctor = $('#anchor2276 p').text(),
      responseNurse = $('#anchor2277 p').text(),
      studyDoctor = $('#anchor2278 p').text(),
      practiceDoctor = $('#anchor2279 p').text(),
      encodeMan = $('#anchor2280 p').text(),
      homePageQuality = $('#anchor2281 p').text(),
      qcDoctor = $('#anchor2282 p').text(),
      qcNurse = $('#anchor2283 p').text(),
      qcDate = $('#anchor2284 p').text(),
      leaveHospitalType = $('#anchor2286 p').text(),

      acceptOrgCode = $('#anchor2287 p').text(),//接收机构名称

      againBehospitalPlan = $('#anchor2288 p').text(),
      againBehospitalGoal = $('#anchor2289 p').text(),

      tbiBeforeDay = "",
      tbiBeforeHour = "",
      tbiBeforeMinute = "",
      tbiAfterDay = "",
      tbiAfterHour = "",
      tbiAfterMinute = "",

      behospitalFee = $('#anchor2291 p').text(),
      generalMedicalFee = $('#anchor2292 p').text(),
      diagnoseTypeFee = $('#anchor2293 p').text(),
      treatFee = $('#anchor2294 p').text(),
      healthFee = $('#anchor2295 p').text(),
      chnFee = $('#anchor2296 p').text(),
      westernFee = $('#anchor2297 p').text(),
      chnMedicineFee = $('#anchor2298 p').text(),
      bloodTypeFee = $('#anchor2299 p').text(),
      materialFee = $('#anchor2300 p').text(),
      otherLeftFee = $('#anchor2301 p').text(),

      singleDiagManage = $('#anchor2302 p').text(),
      clinicPathwayManage = $('#anchor2303 p').text(),
      isDiagnoseFit = $('#anchor2304 p').text(),
      rescueOverview = $('#anchor2305 p').text(),


      isAutoLeavehospital = "",

      returnToType = $('#anchor2306 p').text(),
      isPhysicalRestraint = $('#anchor2594 p').text(),

      tbiBehospitalBeforeTime = $('#anchor2582 p').text(),
      tbiBehospitalAfterTime = $('#anchor2583 p').text(),
      isFallBed = $('#anchor2593 p').text(),
      isNosocomialInfection = $('#anchor2589 p').text(),
      isIntoIcu = $('#anchor2586 p').text(),
      isComplications = $('#anchor2588 p').text(),
      isPressureSore = $('#anchor2591 p').text(),
      isBehospitalPressureSore = $('#anchor2592 p').text(),
      isUnplannedReoperation = $('#anchor2587 p').text(),

      complicationsResults = "",
      infectionSite = "",

      isBeInDanger = $('#anchor2585 p').text(),
      homePageId = "",//病案首页编号
      hospitalCode = "",
      hospitalName = "",
      orgCode = "",
      payType = "",
      healthCard = "",
      behospitalNum = "",
      fileCode = $('.patient-info span').eq(0).text().match(/\d+/)[0]

    let leaveDiagsArry = addLeaveDiags(),
      operationsArry = addoperations()

    // post1(api.sendHomeDiagnose, leaveDiagsArry, { needqs: true }).then(res => {
    //   if (res.data.code == '0') {
    //     console.log("成功");
    //   } else {
    //     state = 0
    //     console.log("失败");
    //   }

    // }).catch((e) => {
    //   state = 0
    //   console.log("失败1");
    // })

    // post1(api.sendHomeOperation, operationsArry).then(res => {
    //   if (res.data.code == '0') {
    //     console.log("成功");
    //   } else {
    //     state = 0
    //     console.log("失败");
    //   }

    // }).catch((e) => {
    //   state = 0
    //   console.log("失败1");
    // })

    let homePagesList = []

    const homePagesObj =
    {
      "acceptOrgCode": acceptOrgCode,
      "againBehospitalGoal": againBehospitalGoal,
      "againBehospitalPlan": againBehospitalPlan,
      "ageType": ageType,
      "attendingDoctor": attendingDoctor,
      "autopsy": autopsy,
      "behospitalBedCode": behospitalBedCode,
      "behospitalBedId": behospitalBedId,
      "behospitalCode": global_id,
      "behospitalDate": behospitalDate,
      "behospitalDayNum": behospitalDayNum,
      "behospitalDept": behospitalDept,
      "behospitalDoctor": behospitalDoctor,
      "behospitalNum": behospitalNum,//住院次数
      "behospitalWard": behospitalWard,
      "behospitalWay": behospitalWay,
      "birthday": birthday,
      "bloodType": bloodType,
      "bornAddress": bornAddress,
      "bornPlace": bornPlace,
      "changeDept": changeDept,
      "clinicPathwayManage": clinicPathwayManage,
      "complicationsResults": complicationsResults,
      "contactAddress": contactAddress,
      "contactName": contactName,
      "contactPhone": contactPhone,
      "contactRelation": contactRelation,
      "curAddress": curAddress,
      "curPhone": curPhone,
      "curPostCode": curPostCode,
      "deptDirector": deptDirector,
      "directorDoctor": directorDoctor,
      "encodeMan": encodeMan,
      "fileCode": fileCode,//病案号

      "healthCard": healthCard,//健康卡号

      "homePageId": homePageId,//病案首页编号
      "homePageQuality": homePageQuality,
      "hospitalCode": hospitalCode,//组织机构代码
      "hospitalId": global_hid,
      "hospitalName": hospitalName,//医疗机构名称
      "newbornAgeUnit": newbornAgeUnit,
      "newbornWeightUnit": newbornWeightUnit,
      "newbornBehospitalWeightUnit": newbornBehospitalWeightUnit,
      "identityCardNo": identityCardNo,
      "infectionSite": infectionSite,
      "isAutoLeavehospital": isAutoLeavehospital,
      "isBeInDanger": isBeInDanger,
      "isBehospitalPressureSore": isBehospitalPressureSore,
      "isComplications": isComplications,
      "isFallBed": isFallBed,
      "isIntoIcu": isIntoIcu,
      "isMedAllergy": isMedAllergy,
      "isNosocomialInfection": isNosocomialInfection,
      "isPhysicalRestraint": isPhysicalRestraint,
      "isPressureSore": isPressureSore,
      "isUnplannedReoperation": isUnplannedReoperation,
      "jobType": jobType,
      "leaveDiags": leaveDiagsArry,
      "leaveHospitalBedCode": leaveHospitalBedCode,
      "leaveHospitalBedId": leaveHospitalBedId,
      "leaveHospitalDate": leaveHospitalDate,
      "leaveHospitalDept": leaveHospitalDept,
      "leaveHospitalType": leaveHospitalType,
      "leaveHospitalWard": leaveHospitalWard,
      "marriage": marriage,
      "medAllergyName": medAllergyName,
      "name": name,
      "nation": nation,
      "nationality": nationality,
      "operations": operationsArry,
      "orgCode": orgCode,//医疗机构代码
      "outpatientEmrDiagnose": outpatientEmrDiagnose,
      "outpatientEmrDiagnoseCode": outpatientEmrDiagnoseCode,
      "pathologyDiagnose": pathologyDiagnose,
      "pathologyDiagnoseCode": pathologyDiagnoseCode,
      "pathologyDiagnoseId": pathologyDiagnoseId,

      "payType": payType,//医疗付费方式
      "poisonFactor": poisonFactor,
      "poisonFactorCode": poisonFactorCode,
      "practiceDoctor": practiceDoctor,
      "qcDate": qcDate,
      "qcDoctor": qcDoctor,
      "qcNurse": qcNurse,
      "residenceAddress": residenceAddress,
      "residencePostCode": residencePostCode,
      "responseNurse": responseNurse,
      "returnToType": returnToType,
      "rh": rh,
      "sex": sex,
      "behospitalFee": behospitalFee,
      "generalMedicalFee": generalMedicalFee,
      "diagnoseTypeFee": diagnoseTypeFee,
      "treatFee": treatFee,
      "healthFee": healthFee,
      "chnFee": chnFee,
      "westernFee": westernFee,
      "chnMedicineFee": chnMedicineFee,
      "bloodTypeFee": bloodTypeFee,
      "materialFee": materialFee,
      "otherLeftFee": otherLeftFee,
      "isDiagnoseFit": isDiagnoseFit,
      "rescueOverview": rescueOverview,
      "singleDiagManage": singleDiagManage,
      "studyDoctor": studyDoctor,
      "tbiAfterDay": tbiAfterDay,
      "tbiAfterHour": tbiAfterHour,
      "tbiAfterMinute": tbiAfterMinute,
      "tbiBeforeDay": tbiBeforeDay,
      "tbiBeforeHour": tbiBeforeHour,
      "tbiBeforeMinute": tbiBeforeMinute,
      "tbiBehospitalAfterTime": tbiBehospitalAfterTime,
      "tbiBehospitalBeforeTime": tbiBehospitalBeforeTime,
      "workAddress": workAddress,
      "workPhone": workPhone,
      "workPostCode": workPostCode
    }

    homePagesList.push(homePagesObj)
    // console.log(homePagesList);

    const param = {
      "dockModeType": 3,
      "homePages": homePagesList
    }


    post1(api.sendHomePageIng, param).then(res => {
      if (res.data.code == '0') {
        window.parent.location.reload()
        console.log("成功");
      } else {
        state = 0
        console.log("失败");
      }

    }).catch((e) => {
      state = 0
      console.log("失败1");
    })


    if (state === 1) {
      return true
    } else {
      return false
    }

  }



  function showAppealDetailEvent() {
    //申诉状态点击事件
    $(".flaw-item").off("click").on("click", ".title .btn", function () {
      showModal("5", $(this).attr("data_id"), $(this).attr("data_type"), $(this).attr("data_casesEntryId"), $(this).attr("data_qcresultDetailId"));
    });
  }
  function initMenu(data) {
    const menu = [{ id: 0, name: "缺陷总览", parentId: -1, sonMode: [] }, ...(data || [])];
    //菜单数据填充
    $("#subMenuTmpl").tmpl(menu).appendTo("#subMenu");
    $("#miniMenuTmpl").tmpl(menu).appendTo(".menu-mini ul");
    //菜单收起展开
    $(document).on("click", ".sub-menu .list-1", function () {
      $(".sub-menu .list-1 .slide-up").removeClass('slide-up');
      $(this).toggleClass('slide-up');
      $(this).find("ul").slideToggle();
      // setTimeout(function(){
      //   initScroll("subMenu","Y",2)
      // },300)
    });
    $(".sub-menu .list-1 li").on("click", function (e) {
      e.stopPropagation();
    });
    //收起菜单
    $(".slide-show").click(function () {
      $(".sub-menu,.copy-right").animate({ "width": "60px" }, function () {
        $(this).hide();
        $(".menu-mini").show();
      });
      $(".tab-container").animate({ "margin-left": "60px" });
    });
    //展开菜单
    $(".slide-hide").click(function () {
      $(".menu-mini").hide();
      $(".sub-menu,.copy-right").show().animate({ "width": "220px" }, function () {
      });
      $(".tab-container").animate({ "margin-left": "220px" });
    });
    //右侧内容切换
    $(".page").on("click", function () {
      $(".info-item .cont,.flaw-item,td").removeClass("active");   //清空缺陷定位背景
      const title = $(this).attr("code");
      if (title == '缺陷总览' || !global_check_show) { //质控核查页进来隐藏原核查按钮
        $(".check,.ywCheck").css('display', 'none')
      }/*else if(title == '病案首页'){
      if(showCheckBtns){
        $(".ywCheck").show();
      }else{
          $(".check").css('display','block').text(global_check_home==1?'重新核查':'病案首页核查')
      }
    }*/else {
        if (showCheckBtns) {
          $(".ywCheck").show();
        } else {
          $(".check").css('display', 'block').text(global_check == 1 ? '重新核查' : '病历核查')
        }
      }
      if (title === "缺陷总览" || title === "谈话告知书" || title === "知情同意书" || title === '医嘱信息' || title === '检验信息' || title === '检查信息' || title === '护理信息' || title === '其他信息') {
        if (title === "缺陷总览") {
          getRecordDetailUpdate()
        }
        $(".flaw-table .page-item").hide();
        $(".flaw-table,.flaw-table .page-item[code=" + title + "]").show();
      } else {
        $(".flaw-table").hide();
      }
      iframeShow(title)
      //选中样式
      $(".sub-menu .active,.menu-mini .active").removeClass('active');
      const mItems = $(".sub-menu .page[code=" + title + "],.menu-mini .page[code=" + title + "]");
      mItems.addClass("active");
      mItems.parents(".list-1").addClass("active");
      //显示对应内容
      const code = $(this).attr("code");
      global_activeTab = code;
      //initModuleData();
      $(".content-item,.flaw-item").hide();
      $(".content-item[code='" + code + "']").show();
      showFlawList();
      $("#contentInfo").scrollTop(0)
    });
    // initScroll("subMenu","Y",2)
  }
  function iframeShow(title) {
    if (title === '医嘱信息') {
      $("#pacsIframeIn,#assistIframeIn,#pacsDetailIframeIn,#contentNursing,#contentOther").css("display", "none")
      $("#contentIframeIn").css({ display: 'block' }).attr("src", 'advice.html').contents().find(".adviceWrp").height(window.innerHeight - $("#patientInfo").height() - 20 + 'px')
      $(window).resize(function () {
        $("#contentIframeIn").contents().find(".adviceWrp").height(window.innerHeight - $("#patientInfo").height() - 20 + 'px')
      });
    } else if (title === '检验信息') {
      $("#contentIframeIn,#assistIframeIn,#pacsDetailIframeIn,#contentNursing,#contentOther").css("display", "none")
      $("#pacsIframeIn").css({ display: 'block' }).attr("src", 'pacs.html').contents().find(".pacsWrp").height(window.innerHeight - $("#patientInfo").height() - 20 + 'px')
      $(window).resize(function () {
        $("#pacsIframeIn").contents().find(".pacsWrp").height(window.innerHeight - $("#patientInfo").height() - 20 + 'px')
      });
    } else if (title === '检查信息') {
      $("#contentIframeIn,#pacsIframeIn,#pacsDetailIframeIn,#contentNursing,#contentOther").css("display", "none")
      $("#assistIframeIn").css({ display: 'block' }).attr("src", 'assist.html').contents().find(".assistWrp").height(window.innerHeight - $("#patientInfo").height() - 20 + 'px')
      $(window).resize(function () {
        $("#assistIframeIn").contents().find(".assistWrp").height(window.innerHeight - $("#patientInfo").height() - 20 + 'px')
      });
    } else if (title === '护理信息') {
      $("#pacsIframeIn,#assistIframeIn,#pacsDetailIframeIn,#contentIframeIn,#contentOther").css("display", "none")
      $("#contentNursing").css({ display: 'block' }).attr("src", 'nursing.html').contents().find(".nursingWrp").height(window.innerHeight - $("#patientInfo").height() - 20 + 'px')
      $(window).resize(function () {
        $("#contentNursing").contents().find(".nursingWrp").height(window.innerHeight - $("#patientInfo").height() - 20 + 'px')
      });
    } else if (title === '其他信息') {
      $("#pacsIframeIn,#assistIframeIn,#pacsDetailIframeIn,#contentIframeIn,#contentNursing").css("display", "none")
      $("#contentOther").css({ display: 'block' }).attr("src", 'other.html').contents().find(".otherWrp").height(window.innerHeight - $("#patientInfo").height() - 20 + 'px')
      $(window).resize(function () {
        $("#contentOther").contents().find(".otherWrp").height(window.innerHeight - $("#patientInfo").height() - 20 + 'px')
      });
    } else {
      $("#contentIframeIn,#pacsIframeIn,#pacsDetailIframeIn,#assistIframeIn,#contentNursing,#contentOther").css({ display: 'none' })
    }
  }
  //判断有无某一权限
  function hasData(data) {
    return true
    let trdObj = JSON.parse(getLocal("trdObj"))
    let lis = trdObj[global_code]
    if (!lis) {
      return false
    }
    if (lis.indexOf(data) > -1) {//有权限
      return true
    }
    return false;
  }
  //获取病例明细
  function getRecordDetail() {
    post(api.getRecordDetail, { 'behospitalCode': global_id }).then(function (res) {
      if (res.data.code === '0') {

        const data = res.data.data;
        const { beHospital, result, msg, checkStatus, drgs, mrStatus, checkShow, checkOperationWithAppeal } = data;
        num = data.num
        status = data.status
        scoreRes = result.scoreRes
        global_flawData = msg;
        global_flawDataPay = drgs;


        global_check = checkStatus
        global_check_home = mrStatus
        global_check_show = checkShow;//0隐藏操作按钮1显示

        const pageData = JSON.parse(result.pageData)

        const list2 = pageData.病案首页

        const diagList = JSON.parse(list2[0].出院诊断)
        // const operaList = JSON.parse(list2[0].手术信息)
        const surgeryInfo = list2[0]?.手术信息;

        let operaList = [];
        if (surgeryInfo) {
          try {
            operaList = JSON.parse(surgeryInfo);
          } catch (parseError) {
            operaList = [];
          }
        } else {
          console.warn('手术信息字段不存在或为空');
        }

        global_diagList = diagList;
        global_operaList = operaList;




        const list = JSON.parse(result.menuData)
        for (let i = 0; i < list.length; i++) {
          const item = list[i];
          menuList.push(item.name)
          for (let j = 0; j < item.sonMode.length; j++) {
            const it = item.sonMode[j];
            menuList.push(it.name)
          }
        }
        check_Operation_WithAppeal = checkOperationWithAppeal;
        const info = Object.assign(beHospital, result);
        initMenu(JSON.parse(result.menuData));
        // $(".sub-menu>ul>li:first-child.page,.menu-mini>ul>li:first-child.page").addClass("active");
        $(".subMenu >li:first-child.page,.menu-mini>ul>li:first-child.page").addClass("active");
        global_activeTab = $(".sub-menu .page.active").attr("code");

        $(".flaw-title-up .score-res").html(scoreRes + "分")
        $(".flaw-title-up .status").html(status)
        $(".flaw-title-up .approved").html(status === '已驳回' || status === '已通过' ? '重新审核' : '通过')

        $(".operation").show()
        initPatientInfo(info);
        initContent(result.pageData);
        initList(msg);
        // console.log("6660", global_activeTab, msg);
        initScoreItem(msg);
        setBoxHeight();
        changePay()
      } else {
        console.log("xxxx", "getRecordDetail", e);
        $.alerModal({ "message": '接口出错', type: "tip", time: '1000', isFather: true, win: 'default', fatherWrapper: $("#mainBox", parent.document) });
      }
    }).catch((e) => {
      console.log("getRecordDetail方法存在错误", e);
      $.alerModal({ "message": '接口出错', type: "tip", time: '1000', isFather: true, win: 'default', fatherWrapper: $("#mainBox", parent.document) });
    });
  }
  function getRecordDetailUpdate() {
    post(api.getRecordDetail, { 'behospitalCode': global_id }).then(function (res) {
      if (res.data.code === '0') {
        const data = res.data.data;
        const { beHospital, result, msg, checkStatus, drgs } = data;
        // global_check = checkStatus
        // const info=Object.assign(beHospital,result);
        // initMenu(JSON.parse(result.menuData));
        // $(".subMenu >li:first-child.page,.menu-mini>ul>li:first-child.page").addClass("active");
        // global_activeTab=$(".sub-menu .page.active").attr("code");
        // initPatientInfo(info);
        // initContent(result.pageData);
        num = data.num
        status = data.status
        scoreRes = result.scoreRes
        global_flawData = msg;
        global_flawDataPay = drgs;
        // console.log("getRecordDetailUpdate-msg", msg)
        initList(msg);

        initScoreItem(msg);
        // setBoxHeight();
        // changePay()
      }
    });
  }
  //补录数据，接口来自技术服务部
  function supplementData() {
    //重新拉数据接口

    post(api.supplementData, { 'behospitalCode': global_id, 'behospitalNum': '' }).then(function (res) {
      const { code, data } = res.data;
      // console.log("刷新code");
      // console.log(code);
      // console.log(data);
      if (code === '0') {
        if (data === '0') { //0表示数据已更新，-1表示数据未更新
          //数据更新后先评分（评分成功后）再重新获取详情即刷新页面
          recordScore();
        } else {
          $.alerModal({ "message": '刷新失败,请重试~', type: "tip", time: '1000', isFather: true, win: 'default', fatherWrapper: $("#mainBox", parent.document) });
        }
      } else {

        $.alerModal({ "message": '刷新失败,请重试~', type: "tip", time: '1000', isFather: true, win: 'default', fatherWrapper: $("#mainBox", parent.document) });
      }
    });
  }

  function loading() {

    const str = `

    <div class="loadingBox">
            <div class="mask"></div>
            <img class="loadingImg" src=${loadingImg}  alt="loading" />
        </div>
    `

    $("body", parent.document).append(str)
  }
  function hideLoading() {
    $(".loadingBox", parent.document).remove()
  }
  //评分
  function recordScore() {
    const param = {
      behospitalCode: global_id
    };
    loading();
    post(api.recordScore, param).then(res => {
      if (res.data.code === '0') {
        hideLoading();
        //评分成功，刷新病历详情页面
        window.parent.location.reload()
      } else {
        hideLoading()
        $.alerModal({ "message": res.data.msg || '刷新失败,请重试~', type: "tip", time: '1000', isFather: true, fatherWrapper: $("#mainBox", parent.document) });
      }
    }).catch(() => {
      hideLoading()
      $.alerModal({ "message": '刷新失败,请重试~', type: "tip", win: 'default', time: '1000', isFather: true, fatherWrapper: $("#mainBox", parent.document) });
    })

  }

  function changePay() {
    $(document).on('click', ".titleSpecial span", function () {
      let type = $(this).attr("data-type")
      if (type == 1) {
        initList(global_flawDataPay, type);
      } else {
        initList(global_flawData, type);
      }
    })
  }
  //填充患者信息
  function initPatientInfo(data) {
    const obj = Object.assign({}, data, { showCheckBtns, checkState: global_check, checkStateHome: global_check_home });
    console.log("initPatientInfo", obj)
    $("#infoTmpl").tmpl(obj).appendTo("#patientInfo");
    /*$(".check").on("click", function(){
      checkQc()
    })*/
    $(".ywCheck").on("click", function () {
      checkYwQc()
    })
  }
  //显示病例模块明细
  // function initContent(data, type) {
  //   const obj = JSON.parse(data);
  //   let info = [];
  //   let hml = '', moduleId = '';
  //   if (type == 2) {
  //     formatSpecPage(obj["谈话告知书"], "谈话告知书");
  //     formatSpecPage(obj["知情同意书"], "知情同意书");
  //   }


  //   // formatSpecPage(obj["医嘱信息"],"医嘱信息");
  //   $(".content-box").show();
  //   for (let k in obj) {
  //     if (k === "谈话告知书" || k === "知情同意书") {
  //       continue;
  //     }
  //     for (let i in obj[k]) {
  //       info = formatInfoData(k, obj[k][i]);
  //       moduleId = info.mode_id;
  //       if (global_modules[moduleId]) {
  //         hml = initModuleData(moduleId, obj[k]);
  //         $.tmpl(hml, info).appendTo("#contentInfo");
  //       } else {
  //         const icon = require("../images/empty1.png");
  //         const sid = moduleId ? "(" + moduleId + ")" : "";
  //         const code = k.replace(/[^\u4e00-\u9fa5|a-zA-Z0-9]+/g, '');
  //         const emptyStr = `<div class="empty">
  //           <img src="${icon}" alt="空"/>
  //           <p>暂无信息～</p>
  //       </div>`;
  //         if (!$(".content-item[code=" + code + "] .empty").length) {  //显示一条空提示即可
  //           hml = '<div class="content-item" code="' + code + '">' +
  //             '<h2 class="title">' + k + sid + '</h2>' + emptyStr + '</div>';
  //           $.tmpl(hml, {}).appendTo("#contentInfo");
  //         }
  //       }
  //     }
  //   }
  //   $(".content-item[code=" + global_activeTab + "]").show();
  //   //console.log(obj)
  // }
  function initContent(data) {
    const obj = JSON.parse(data);
    let info = [];
    let hml = '', moduleId = '';
    formatSpecPage(obj["谈话告知书"], "谈话告知书");
    formatSpecPage(obj["知情同意书"], "知情同意书");
    // formatSpecPage(obj["医嘱信息"],"医嘱信息");
    $(".content-box").show();
    for (let k in obj) {
      if (k === "谈话告知书" || k === "知情同意书") {
        continue;
      }
      // console.log("initContent-obj", obj, k)
      for (let i in obj[k]) {

        info = formatInfoData(k, obj[k][i]);
        // console.log("initContent-info-global_modules", info)
        // console.log("initContent-global_modules", global_modules)
        // moduleId = info.mode_id;
        moduleId = info.mode_id;
        if (global_modules[moduleId]) {
          hml = initModuleData(moduleId, obj[k]);
          // console.log("initContent-htm-info", hml, info)
          $.tmpl(hml, info).appendTo("#contentInfo");

        } else {
          const icon = require("../images/empty1.png");
          const sid = moduleId ? "(" + moduleId + ")" : "";
          const code = k.replace(/[^\u4e00-\u9fa5|a-zA-Z0-9]+/g, '');
          const emptyStr = `<div class="empty">
      < img src="${icon}" alt="空"/>
      <p>暂无信息～</p >
      </div>`;
          if (!$(".content-item[code=" + code + "] .empty").length) {  //显示一条空提示即可
            hml = '<div class="content-item" code="' + code + '">' +
              '<h2 class="title">' + k + sid + '</h2>' + emptyStr + '</div>';
            $.tmpl(hml, {}).appendTo("#contentInfo");
          }
        }
      }
    }
    $(".content-item[code=" + global_activeTab + "]").show();
    //console.log(obj)
  }

  function formatInfoData(k, data) {
    let obj = {}, name = "";
    for (let i in data) {
      if (i !== "mode_id") {
        name = i.replace(/[^\u4e00-\u9fa5|a-zA-Z0-9]+/g, "").replace(/^[0-9]+/, "a");    //过滤key中存在的特殊符号，模板会渲染不出来且不报错
        obj[name] = data[i].replace(/\n/g, "<br/>") || "";
      } else {
        obj[i] = data[i].replace(/\n/g, "<br/>") || "";
      }
    }
    return Object.assign({ title: k }, obj);
  }

  function initRejectDialog() {
    let rejectEntity = {}
    // 移除之前的驳回对话框
    $("body .reject-dialog-mask").remove()
    const dialogHTML = `
    <div class="reject-dialog-mask dialog-mask">
        <div class="dialog-box">
            <div class="dialog-content">
                <span class="dialog-textarea-title">驳回意见：</span>
                <textarea class="dialog-textarea" placeholder="请输入驳回的理由，字数不超过300字"></textarea>
            </div>
            <div class="dialog-buttons">
                <button class="dialog-btn dialog-confirm">提交</button>
                <button class="dialog-btn dialog-cancel">取消</button>
            </div>
        </div>
    </div>
`;

    // 初始化对话框

    // 将对话框添加到页面
    $('body').append(dialogHTML);

    // 打开对话框
    $('.scroll-table .op-reject,.oper .reject-flaw').click(function () {
      const code = $(this).attr("code");
      const i = $(this).attr("index");
      const id = +$(this).attr("id");
      const flawsList = formatFlawKeys(global_flawData);
      const info = flawsList[code] && flawsList[code][+i];
      rejectEntity = info
      // console.log("rejectEntity", rejectEntity)
      $('.reject-dialog-mask').fadeIn(200);
    });

    // 关闭对话框（通用方法）
    function closeDialog() {
      $('.reject-dialog-mask .dialog-textarea').val("");
      $('.reject-dialog-mask').fadeOut(200);
    }

    // 点击取消按钮
    $(".reject-dialog-mask .dialog-cancel").off("click").on('click', function () {
      $('.reject-dialog-mask .dialog-textarea').val("");
      closeDialog();
    });

    // 点击确认按钮
    $(".reject-dialog-mask .dialog-confirm").off("click").on('click', function () {
      const inputVal = $('.reject-dialog-mask .dialog-textarea').val();
      // console.log('您输入的内容是: ' + inputVal);
      const params = {
        "behospitalCode": global_id,
        "casesEntryId": rejectEntity.casesEntryId,
        "casesEntryMsg": rejectEntity.msg,
        "casesEntryName": rejectEntity.msg,
        "examineId": 0,
        "hospitalId": global_hid,
        "isReject": 0,
        "qcresultDetaiValue": rejectEntity.score,
        "qcresultDetailMsg": rejectEntity.msg,
        "rejectedReason": inputVal,
        "value": rejectEntity.score
      }
      // $("#loading").show()
      post(api.medExamineInfoRejected, params).then(res => {
        const { code, data } = res.data
        if (code === '0') {
          closeDialog();
          updateFlaws()
          // $("#loading").hide()
        } else {
          // $("#loading").hide()
        }
      }).catch(err => {
        $("#loading").hide()
      })

    });

    // 点击遮罩层关闭
    $(".reject-dialog-mask").on('click', function (e) {
      if ($(e.target).hasClass('reject-dialog-mask')) {
        closeDialog();
      }
    });

    // ESC键关闭
    $(document).keyup(function (e) {
      if (e.key === "Escape") {
        closeDialog();
      }
    });

  }
  //知情同意书、谈话告知书
  function formatSpecPage(data, title, type) {

    // for (let key in data) {
    //   for (let i = 0; i < data[key].length; i++) {
    //     newData.push()
    //   }

    // }
    // 给每一项添加索引
    if (title == "缺陷总览") {
      let serialNumber = 1
      for (let key in data) {
        for (let i = 0; i < data[key].length; i++) {
          if (tableDataType === 0 || data[key][i].casesEntryStatus === tableDataType) {
            // console.log(data[key][i].casesEntryStatus === tableDataType)
            data[key][i].serialNumber = serialNumber
            serialNumber++
          }
        }
      }
      $(".page-item[code='缺陷总览']").remove()
    }
    // console.log("formatSpecPage", data, title)


    $("#appointBookTmpl").tmpl({ title, data, num, status, scoreRes, tableDataType }).appendTo(".flaw-table");

    $(".title-type .title-type-item").off("click").on("click", function (event) {
      // 防止冒泡
      event.stopPropagation()
      // console.log($(this).attr("data-type"))
      $(".title-type .title-type-item").removeClass('active')
      $(this).addClass("active")
      tableDataType = +$(this).attr("data-type")
      initList(global_flawData)
    })
    $(".flaw-table .approved,.flaw-title-up .approved").off("click").on("click", function () {
      const param = {
        behospitalCodeList: [global_id],
        hospitalId: global_hid,
      }
      post(api.passAudit, param).then((res) => {
        const { msg, code, data } = res.data
        if (code === "0") {
          $.alerModal({ "message": '通过成功', type: "tip", time: '1000', isFather: true, win: true, fatherWrapper: $("#mainBox", parent.document) });
          updateFlaws()
        } else {
          $.alerModal({ "message": res.data.msg || '通过失败,请重试~', type: "tip", time: '1000', isFather: true, fatherWrapper: $("#mainBox", parent.document) });

        }
      }).catch(err => {
        $.alerModal({ "message": res.data.msg || '批量通过失败,请重试~', type: "tip", time: '1000', isFather: true, fatherWrapper: $("#mainBox", parent.document) });

      }

      )

    })
    let hasAu = true
    let hasAu2 = true
    $(".flaw-table .operate span").unbind("click").click(function () {
      // alert()
      const code = $(this).attr("code");
      const isEdit = $(this).is(".op-edit");
      const i = +$(this).attr("index");
      const id = +$(this).attr("id");
      // console.log(code, i, id)

      //if(!hasAu)return
      if (isEdit && hasAu) {
        showModal('0', code, i, id);  //编辑
      } else if (!isEdit && hasAu2) {
        if ($(this).is(".op-recover")) {
          showModal('3', code, i, id);  //恢复
        } else if ($(this).is(".op-delete")) {
          showModal('1', code, i, id);  //删除
        }
      }

    })
    // 初始化驳回对话框
    initRejectDialog()

    setBoxHeight();
    $(".page-anchor").on("click", function () {
      const code = $(this).attr("code");
      const pCode = $(this).parents("tr").attr("code").replace(/[^\u4e00-\u9fa5|a-zA-Z0-9]+/g, '');
      const tCode = $(this).parents("tr").attr("code")
      //菜单同步状态
      if (menuList.indexOf(tCode) == -1) {

        $.alerModal({ "message": '模块数据缺失~', type: "tip", time: '1000', isFather: true, fatherWrapper: $(".flaw-table", parent.document) });
        return;
      }
      //菜单同步状态
      $(".sub-menu .page[code=" + pCode + "]").parents(".list-1").click();
      $(".sub-menu .page[code=" + pCode + "],.menu-mini .page[code=" + pCode + "").click();
      //缺陷定位
      $(".info-item .cont,.flaw-item,td").removeClass("active");
      // const flawItem = $(".flaw-item .title a[code=" + code + "]");
      // if (!flawItem.length) {
      //   $.alerModal({ "message": '模块数据缺失~', type: "tip", time: '1000', isFather: true, fatherWrapper: $(".flaw-table", parent.document) });
      //   return;
      // }
      $(".flaw-item .title a[code=" + code + "]").click();
      const anch = $(".flaw-item .title a[code=" + code + "]").attr("href");
      if ($(anch)[0]) {
        $('#contentInfo').scrollTop($(anch).offset().top - 60);
      }
    });

    if (global_activeTab == "缺陷总览") {
      $(".check").css("display", "none")
    } else {
      $(".check").css("display", "block")
    }

    if (type && type == 1) {
      $(".titleNo").css({
        'background-color': '#00A1FF',
        'color': '#fff',
        'border-color': '#00A1FF'
      })
      $(".titlePay").css({
        'background-color': '#fff',
        'border': '1px solid #777',
        'border-right': 0,
        'color': '#777'
      })
      setBoxHeight()
    } else if (type && type == 2) {
      $(".titleNo").css({
        'background-color': '#fff',
        'border': '1px solid #777',
        'border-left': 0,
        'color': '#777'
      })
      $(".titlePay").css({
        'background-color': '#00A1FF',
        'color': '#fff',
        'border-color': '#00A1FF'
      })
      setBoxHeight()
    }
  }

  function initList(data, type) {
    //$("#flawTotalList").tmpl({title:"缺陷总览",data:data}).appendTo(".flaw-table");
    formatSpecPage(data, "缺陷总览", type);
    // console.log("formatSpecPage-缺陷总览", data, type)
    $(".flaw-table").show();
    $(".flaw-table .page-item[code=" + global_activeTab + "]").show();
    $(".slide-up").off("click").on("click", function () {
      const name = $(this).text();
      $("tr[code='" + name + "']").slideToggle();
      $(this).toggleClass("down");
    });
  }

  //评分项数据填充
  function initScoreItem(data) {
    $("#flaws .flaw-box").empty();
    let hasAu = showCheckBtns && global_check_show && hasData('FUNC000013');    //修改缺陷权限
    let hasAu2 = showCheckBtns && global_check_show && hasData('FUNC000012');   //删除缺陷权限
    let hasAu4 = check_Operation_WithAppeal && showCheckBtns
    let hasAu3 = check_Operation_WithAppeal
    // console.log("initScoreItem", data)
    for (let k in data) {
      for (let i = 0; i < data[k].length; i++) {
        let item = data[k][i];
        item.hasAu3 = false
        item.code = k
        item.index = i
        item.first = false
        item.last = false
        if (i === 0) {
          item.first = true
        }
        if (i === data[k].length - 1) {
          item.last = true
        }
      }
      // console.log("flawTmpl-data", data[k])
      $("#flawTmpl").tmpl(data[k]).appendTo("#flaws .flaw-box");
    }

    hasAu = true
    hasAu2 = true
    hasAu3 = true
    hasAu4 = true
    // $(".reject-flaw").off("click").on("click", function (event) {
    //   // event.stopPropagation()
    //   // event.preventDefault()
    //   // alert()
    //   $('body .reject-dialog-mask').fadeIn(200);
    // })
    showFlawList();

    $(".flaw-item .oper a").unbind("click").click(function () {
      // const i = $(".flaw-item[code=" + global_activeTab + "]").index($(this).parents(".flaw-item"));
      const i = $(this).attr("index");
      const code = $(this).attr("code");
      const isEdit = $(this).is(".edit-flaw");
      const id = $(this).attr("id")
      // console.log("code", code, i)
      //if(!hasAu)return
      if (isEdit && hasAu) {
        showModal('0', code, i, id);  //编辑
      } else if (!isEdit && hasAu2) {
        if ($(this).is(".recover-flaw")) {
          showModal('3', code, i, id);  //恢复
        } else if ($(this).is(".del-flaw")) {
          showModal('1', code, i, id);  //删除
        } else {

        }
      }
    })
    initRejectDialog()
    $(".edit-flaw").css({ "display": hasAu ? "inline" : "none" });
    $(".del-flaw").css({ "display": hasAu2 ? "inline" : "none" });
    // $(".add-flaw").css({ "display": hasAu3 && global_check_show ? "inline" : "none" });
    $(".add-flaw").css({ "display": true ? "inline" : "none" });
    $(".recover-flaw").css({ "display": hasAu2 ? "inline" : "none" });
    $(".flaw-item .title a[href]").unbind("click").click(function () {
      const id = $(this).attr("href");
      const anchors = $(this).attr("anchors").split(",");
      let ans = anchors.map((it) => {
        return "#anchor" + it;
      });
      $(".info-item .cont,.flaw-item,td").removeClass("active");
      $(ans.join(",")).addClass("active");
      $(this).parents(".flaw-item").addClass("active");
    });
  }

  //显示缺陷列表
  function showFlawList() {
    // console.log("Active Tab:", global_activeTab);

    const hml = $(".flaw-item[code=" + global_activeTab + "]");
    // console.log("Flaw Items:", hml); // 在此处输出找到的缺陷项

    if (hml.length) {
      hml.show();
      $("#flaws .empty").hide();
    } else {
      $("#flaws .empty").length ? $("#flaws .empty").show() : $("#emptyTmpl").tmpl().appendTo("#flaws .flaw-box");
    }
    showAppealDetailEvent();
  }

  //删除评分项
  function delScore(id, info, isRecover) {
    const text = isRecover ? "恢复" : "删除";
    const param = {
      'behospitalCode': global_id,
      'optResultAlgVO': {
        'id': id
      },
      'delStatus': isRecover ? 1 : 0
    };
    post(api.delScore, param).then(function (res) {
      if (res.data.code === '0') {
        $("#delModal").hide();

        updateFlaws(res.data.data);
        $("#anchor" + info.pageKeyList[0]).removeClass("active");
        $.alerModal({ "message": text + "成功", type: "tip", time: '1000', win: true });
      } else {
        $.alerModal({ "message": res.data.msg || (text + '失败,请重试~'), type: "tip", time: '1000', win: 'default' });

      }
    }).catch(() => {
      $.alerModal({ "message": text + '失败,请重试~', type: "tip", time: '1000', win: 'default' });

    });
  }
  //修改评分项
  function editScore(info) {
    info.reviewer = info.exampleDate > info.gmtModified ? info.reviewer : info.linkman
    info.exampleDate = info.exampleDate > info.gmtModified ? info.exampleDate : info.gmtModified

    const param = {
      "behospitalCode": global_id,
      "optResultAlgVO": info
    };
    post(api.editScore, param).then(function (res) {
      if (res.data.code === '0') {
        $("#delModal").hide();
        updateFlaws(res.data.data);
        $.alerModal({ "message": "修改成功", type: "tip", time: '1000', win: true });
      } else {
        $.alerModal({ "message": '修改失败,请重试~', type: "tip", time: '1000', isFather: true, win: 'default', fatherWrapper: $("#mainBox", parent.document) });

      }
    }).catch(() => {
      $.alerModal({ "message": '修改失败,请重试~', type: "tip", time: '1000', isFather: true, win: 'default', fatherWrapper: $("#mainBox", parent.document) });

    });
  }
  //添加评分项
  function addScore(info) {
    const optResultAlgVO = {
      "casesEntryId": info.casesEntryId,
      "casesId": info.casesId,
      "casesScore": info.caseScore,
      "code": info.code || "",
      "id": info.id || "",
      "info": info.info || "",
      "isReject": info.isReject,
      "msg": info.msg || "",
      "score": info.score,
      "explainInfo": info.explainInfo,
    }
    const param = {
      "behospitalCode": global_id,
      "optResultAlgVO": optResultAlgVO
    };
    post(api.addScore, param).then(function (res) {
      if (res.data.code === '0') {
        $("#delModal").hide();
        updateFlaws(res.data.data);
        $.alerModal({ "message": "添加成功", type: "tip", win: true, time: '1000' });
      } else {
        $.alerModal({ "message": "添加失败,请重试~", type: "tip", win: 'default', time: '1000' });

      }
    }).catch(() => {
      $.alerModal({ "message": "添加失败,请重试~", type: "tip", win: 'default', time: '1000' });

    });
  }


  //显示删除/修改弹窗
  function showModal(flag, code, i, id, qcresultDetailId) {
    $("#delModal .modal-body").empty();
    $("#delModal").show();
    $("#delModal .cancel").text("关闭")
    $("#delModal .cancel").hide();
    $(".info-item .cont,.flaw-item .title,td").removeClass("active");
    //事件解绑
    $("#delModal .confirm").off("click");
    const flawsList = formatFlawKeys(global_flawData);
    const info = flawsList[code] && flawsList[code][+i];
    if (flag === '0') {   //修改
      // console.log("info", info, global_flawData)
      $("#delModal .confirm").show()
      $("#delModal .title").text("修改");
      $("#delModal .confirm").text("保存");
      $("#editTmpl").tmpl(info).appendTo("#delModal .modal-body");
      $("#qcScore,#qcMsg,#qcInfo").off("input");
      //分数输入验证
      $("#qcScore").on("input", function () {
        const val = $(this).val();
        if (/^[0-9]\d*$|^[0-9]\d*(.\d)?$/.test(val) && val <= 100) {
          $(".edit-box .warning").hide();
        } else {
          $(".edit-box .warning .red").text("支持≥0且≤100的数字输入，最多保留小数点后1位~");
          $(".edit-box .warning").show();
        }
      });
      //提示信息输入验证
      $("#qcMsg").on("input", function () {
        const val = $(this).val();
        $(this).attr("title", val)
        if (val.trim()) {
          $(".edit-box .warning").hide();
        } else {
          $(".edit-box .warning .red").text("提示信息不能为空~");
          $(".edit-box .warning").show();
        }
      });
      //提示信息输入验证
      $("#qcInfo").on("input", function () {
        const val = $(this).val();
        $(this).attr("title", val)
        if (val.length > 125) {
          $(".edit-box .warning .red").text("备注不能超过125个字~");
          $(".edit-box .warning").show();
        } else {
          $(".edit-box .warning").hide();
          return;
        }
      });
      if ($("#qcInfo").val().length > 125) {
        $(".edit-box .warning .red").text("备注不能超过125个字~");
        $(".edit-box .warning").show();
        return;
      }
      $("#delModal .confirm").unbind("click").click(function () {
        if ($(".edit-box .warning").is(":visible")) {
          return;
        }
        if (!$("#qcMsg").val().trim()) {
          $(".edit-box .warning .red").text("提示信息不能为空~");
          $(".edit-box .warning").show();
          return;
        }
        const obj = Object.assign({}, info, { explainInfo: $("#delModal #qcInfo").val(), msg: $("#delModal #qcMsg").val(), score: $("#delModal #qcScore").val() });
        editScore(obj);
      });
    } else if (flag === '5') {   //查看
      $("#delModal .title").text("查看");
      $("#delModal .confirm").hide();
      $("#delModal .cancel").show();
      $("#delModal .modal-box").css("margin-top", '-245px');
      //0申诉1驳回2审核
      //新增项模板
      getAppealDetail(code, i, id, qcresultDetailId);
    } else if (flag === '2') {   //新增
      $("#delModal .confirm").show();
      $("#delModal .title").text("新增");
      $("#delModal .confirm").text("保存");
      $("#addFlawTmpl").tmpl().appendTo("#delModal .modal-body");
      $("#flawDropTmpl").tmpl({ info: code }).appendTo("#delModal .modal-body ul");
      $("#addQcScore,#addQcMsg,#addQcInfo").off("input");
      //分数输入验证
      $("#addQcScore").on("input", function () {
        const val = $(this).val();
        if (/^[0-9]\d*$|^[0-9]\d*(.\d)?$/.test(val) && val <= 100) {
          $(".add-box .warning").hide();
        } else {
          $(".add-box .warning .red").text("支持≥0且≤100的数字输入，最多保留小数点后1位~");
          $(".add-box .warning").show();
          return;
        }
      });
      //提示信息输入验证
      $("#addQcMsg").on("input", function () {
        const val = $(this).val();
        $(this).attr("title", val)
        if (val.trim()) {
          $(".add-box .warning").hide();
        } else {
          $(".add-box .warning .red").text("提示信息不能为空~");
          $(".add-box .warning").show();
          return;
        }
      });
      //提示信息输入验证
      $("#addQcInfo").on("input", function () {
        const val = $(this).val();
        $(this).attr("title", val)
        if (val.length > 125) {
          $(".add-box .warning .red").text("备注不能超过125个字~");
          $(".add-box .warning").show();
        } else {
          $(".add-box .warning").hide();
          return;
        }
      });
      $("#delModal .confirm").unbind("click").click(function () {
        if (!$(".flaw-drop-input").attr("code")) {
          $(".add-box .warning .red").text("请选择质控条目~");
          $(".add-box .warning").show();
          return;
        }
        const msg = $("#delModal #addQcMsg").val();
        const score = Number($("#delModal #addQcScore").val());
        const explainInfo = $("#delModal #addQcInfo").val();
        if ($(".add-box .warning").is(":visible")) {
          return;
        }
        if (!msg.trim()) {
          $(".add-box .warning .red").text("提示信息不能为空~");
          $(".add-box .warning").show();
          return;
        }
        if ((!score) && $("#delModal #addQcScore").val() != '0') {
          $(".add-box .warning .red").text("分值不能为空~");
          $(".add-box .warning").show();
          return;
        }
        if ($("#addQcInfo").val().length > 125) {
          $(".add-box .warning .red").text("备注不能超过125个字~");
          $(".add-box .warning").show();
          return;
        }
        const obj = Object.assign({}, global_selectedFlaw, { msg, score, explainInfo });
        addScore(obj);
      });
    } else if (flag === '3') {
      $("#delModal .confirm").show();
      $("#delModal .title").text("恢复提示");
      $("#delModal .modal-body").html('<p>确定要恢复该评分记录吗？</p>');
      $("#delModal .confirm").text("取消").unbind("click").click(function () {
        $("#delModal").hide();
      });
      $("#delModal .cancel").show().text("恢复").unbind("click").click(function () {
        delScore(id, info, true);
      });
    } else {
      $("#delModal .confirm").show();
      $("#delModal .title").text("删除提示");
      $("#delModal .modal-body").html('<p>确定要删除该评分记录吗？</p>');
      $("#delModal .confirm").text("取消").unbind("click").click(function () {
        $("#delModal").hide();
      });
      $("#delModal .cancel").show().text("删除").unbind("click").click(function () {
        delScore(id, info);
        // console.log("@@@", id, info)
      });
    }
  }
  function getAppealDetail(id, flg, casesEntryId, qcresultDetailId) {
    const param = {
      behospitalCode: global_id,
      casesEntryId: casesEntryId,
      hospitalId: global_hid,
      qcresultDetailId: qcresultDetailId,
      id: +id
    };
    post(api.getApprovedView, param).then((res) => {
      const info = res.data.data || {};
      const appealInfo = info.appealExamineRecordDTOList;
      $("#appealStatusTmpl").tmpl(appealInfo).appendTo("#delModal .modal-body");
      $("#delModal .cancel").text("关闭").unbind("click").click(function () {
        $("#delModal").hide();
      });
      /*if (flg === '1') {
        $(".check-item").hide();
        $(".reject-item").show();
      } else if (flg === '2') {
        $(".check-item").show();
      }*/
    })
  }
  //缺陷列表key值去掉特殊符号
  function formatFlawKeys(data) {
    const obj = {};
    for (let k in data) {
      obj[k.replace(/[^\u4e00-\u9fa5|a-zA-Z0-9]+/g, '')] = data[k];
    }
    return obj;
  }
  //获取缺陷条目下拉列表
  function getQcCasesEntry(name) {
    const id = $("#subMenu [code=" + global_activeTab + "]").attr("mode");
    const param = {
      'behospitalCode': global_id,
      'entryName': name || "",
      'modeId': id
    };
    post(api.findQcCasesEntry, param).then(function (res) {
      if (res.data.code === '0') {
        const data = res.data.data;
        if (name) {
          global_flaws = data;
          $("#delModal .modal-body ul").html("");
          $("#flawDropTmpl").tmpl({ info: data }).appendTo("#delModal .modal-body ul");
        } else {
          global_flaws = data;
          if ($("#delModal").css("display") == "block") {
            $("#flawDropTmpl").tmpl({ info: data }).appendTo("#delModal .modal-body ul");
            return
          }
          showModal('2', data);
        }
      }
    });
  }
  //增加条目弹窗元素事件
  $("body").on("click", ".add-box .flaw-drop-input", function () {
    $(".add-box .drop-box").addClass("show");
  });
  $("body").on("blur", ".add-box .flaw-drop-input", function () {
    setTimeout(function () {
      $(".add-box .drop-box").removeClass("show");
    }, 300)
  });
  $("body").on("input", ".add-box .flaw-drop-input", function () {
    $(this).attr({ "code": "", "title": $(this).val().trim() });
    getQcCasesEntry($(this).val().trim());
  });
  $("body").on("click", ".add-box .drop-box li", function () {
    const n = $(this).attr("idx");
    const flaw = global_flaws[n];
    const { score, msg, entryName, casesEntryId } = flaw;
    global_selectedFlaw = flaw;
    global_entryName = entryName
    global_casesEntryId = casesEntryId
    $(".flaw-drop-input").val(entryName).attr({ "code": casesEntryId, "title": entryName });
    $("#addQcMsg").val(msg).attr("title", msg);
    $("#addQcScore").val(score);
    $(".add-box .warning").hide();
    $(".add-box .drop-box").removeClass("show");

  });
  $(document).on("blur", ".flaw-drop-input", (e) => {
    $('.flaw-drop-input').val(global_entryName).attr({ "code": global_casesEntryId, "title": global_entryName });
  });
  //更新缺陷列表
  function updateFlaws(info) {
    if (info) {
      $("#patientInfo .level").text("质控等级：" + info.level);
      $("#patientInfo .score").text("质控得分：" + info.scoreRes);
    }
    const param = {
      'behospitalCode': global_id,
      // 'paramStr': [
      //   "msg","result"
      // ]
    };
    // console.log("@@@@updateFlaws")
    post(api.getRecordDetail, param).then(function (res) {
      if (res.data.code === '0') {
        const data = res.data.data;
        const { msg, result } = data;
        global_flawData = msg;
        num = data.num
        status = data.status
        scoreRes = result.scoreRes
        // global_flawDataPay = drgs;
        $(".flaw-title-up .score-res").html(scoreRes + "分")
        $(".flaw-title-up .status").html(status)
        $(".flaw-title-up .approved").html(status === '已驳回' || status === '已通过' ? '重新审核' : '通过')
        if (global_activeTab === "缺陷总览") {
          initList(msg);
        }
        initScoreItem(msg);
      }
    }).catch(e => {
      console.log("updateFlaws方法出错", e)
    });
  }

  //获取病例模板
  function getInfoModule(moduleId) {
    const param = {
      moduleId: moduleId
    };
    post(api.getInfoModule, param).then(function (res) {
      if (res.data.code === '0') {
        const data = res.data.data;
        cachemoduleDatas(data);
        getRecordDetail();
      }
    });
  }

  //模板数据缓存
  function cachemoduleDatas(data) {
    const moudle = data.moduleDetail;
    global_modules[data.modeName] = [];
    for (let i in moudle) {
      global_modules[data.modeName].push(moudle[i]);
    }
  }



  //初始化模板
  function initModuleData(mid, obj) {

    const n = obj.length;
    const module = global_modules[mid].moduleDetail;

    const key = global_modules[mid].modeName.replace(/[^\u4e00-\u9fa5|a-zA-Z0-9]+/g, '');


    let hml = '<div class="content-item" code="' + key + '">' +
      '<h2 class="title">' + global_modules[mid].modeName + '(' + mid + ') </h2>' +
      (n > 1 ? '<div class="container">' : '<div class="container content-hts">');

    if (global_modules[mid].modeName === '病案首页') {
      hml = '<div class="content-item" code="' + key + '">' +
        '<h2 class="title">' + '<button class="save">编辑</button>' + global_modules[mid].modeName + '(' + mid + ') </h2>' +
        (n > 1 ? '<div class="container">' : '<div class="container content-hts">');
    }



    for (let i in module) {
      hml = hml + '<div class="info-item">';
      for (let j = 0; j < module[i].length; j++) {
        const detal = module[i][j].questionDTO;
        const { tagType } = detal;
        switch (tagType) {
          case 1:
            hml = hml + simpleStructure(detal, obj);
            break;
          case 4:
            hml = hml + combineStructure(detal);
            break;
          default:
            break;
        }
      }
      hml = hml + "</div>"
    }
    return hml + "</div></div>";
  }


  //基础类型结构生成
  function simpleStructure(data, obj) {
    const { name, val, monoLine, addLine, position, bold, retract, id } = data;
    let cleanedString = val.replace(/<strong>.*?<\/strong>/gi, '');
    cleanedString = cleanedString.replace(/&nbsp;/g, '')

    if (name === "手术记录表格-1") {
      const value = val.replace("【", "").replace("】", "");
      const diag = obj[0][value] ? JSON.parse(obj[0][value]) : "";
      let thml = `<div class="cont" style="width: 100%;" id="anchor${id}">`;
      thml += $("#tableTmpl").tmpl({ k: "手术信息", data: diag })[0].outerHTML + "</div>";

      return thml;

    }
    if (name === "出院诊断表格-1") {
      const value = val.replace("【", "").replace("】", "");
      const diag = obj[0][value] ? JSON.parse(obj[0][value]) : "";

      let thml = `<div class="cont" style="width: 100%;" id="anchor${id}">`;
      thml += $("#tableTmpl").tmpl({ k: "出院诊断", data: diag })[0].outerHTML + "</div>";

      return thml;
    }
    const posClass = position === 1 ? 'text-left' : '';
    const boldClass = bold === 1 ? 'text-bold' : '';
    const retractClass = retract === 1 ? 'text-indent' : '';
    const lineHml = ('<p class="' + posClass + ' ' + boldClass + ' ' + retractClass + '" contenteditable="false">' + extractVars(val) + '</p>');
    const txtHml = ('<p style="display: inline;vertical-align: middle;" class="' + posClass + ' ' + boldClass + ' ' + retractClass + '" contenteditable="false">' + extractVars(val) + '</p>');

    let hml = addLine || monoLine ? `<div class="cont ${posClass}" style="width: 100%;" id="anchor${id}">` : `<div class="cont" id="anchor${id}">`;
    hml = hml + `<span class="label">${name}</span>` + (addLine ? lineHml : txtHml) + `</div>`;

    return hml;
  }

  //组合类型结构生成
  function combineStructure(data) {
    const { name, questionMapping, id } = data;
    let hml = '<div class="inner-table"><table>';
    const colNum = Math.ceil(questionMapping.length / 2);
    let tdVal = '';
    const regexp = /(【(.+?)】)/g;
    for (let i = 0; i < questionMapping.length;) {
      if (questionMapping[i + 1]) {

        tdVal = "<td id='anchor" + questionMapping[i].id + "'>" + questionMapping[i].name + extractVars(questionMapping[i].val) + "</td><td id='anchor" + questionMapping[i + 1].id + "'>" + questionMapping[i + 1].name + extractVars(questionMapping[i + 1].val) + "</td>";

      } else {
        tdVal = "<td id='anchor" + questionMapping[i].id + "'>" + questionMapping[i].name + extractVars(questionMapping[i].val) + "</td><td></td>";
      }
      if (i == 0) {
        hml = hml + `<tr><td rowspan="${colNum}" id='anchor${id}'>${name}</td>${tdVal}`;
      } else {
        hml = hml + `<tr>${tdVal}`;
      }
      hml = hml + "</tr>";
      i = ((i + 2) > questionMapping.length ? i + 1 : i + 2)
    }
    hml = hml + "</table></div>";
    return hml;
  }

  //抽取变量
  function extractVars(org) {
    const regexp = /(【(.+?)】)/g;
    const arr = org.split(regexp);

    let htl = '', val = '';
    for (let i = 0; i < arr.length; i++) {
      val = arr[i].indexOf("【") != -1 ? '' : (arr[i - 1] && arr[i - 1].indexOf("【") != -1 ? "{{html " + arr[i] + "}}" : arr[i]);
      htl = htl + val;
    }
    return htl;
  }
  //获取所有模板
  function getAllModules() {
    const param = {
      hospitalId: getUrlArgObject("hid"),
      modeId: ''
    };
    post(api.getModuleById, param).then((res) => {
      if (res.data.code === '0') {
        const data = res.data.data;
        global_modules = data;
        getRecordDetail();
        $("#loading").hide();
        /*setTimeout(function(){
          $(".operation").show()
        },50)*/
      }
    });
  }
  /*function checkQc(){
    const param={
      behospitalCode:getUrlArgObject("id"),
      hospitalId:getUrlArgObject("hid"),
      checkType: global_activeTab == '病案首页'?'1':'0'
    };
    post(api.checkQc,param).then((res)=>{
      if(res.data.code==='0') {
        if(global_activeTab == '病案首页'){
          global_check_home = 1
        }else{
          global_check = 1
        }
        $(".check").text("重新核查")
        $.alerModal({"message":"核查成功",type:"tip",time:'1000',win:true});
      }else{
        $.alerModal({"message":res.data.msg ||"核查失败",type:"tip",time:'1000',isFather: false});
      }
    });
  }*/
  function checkYwQc() {
    const param = {
      behospitalCode: getUrlArgObject("id"),
      hospitalId: getUrlArgObject("hid"),
    };
    post(ywCheckApi.recordCheck, param).then((res) => {
      if (res.data.code === '0') {
        global_check = 1
        $(".ywCheck").text("重新核查")
        $.alerModal({ "message": "核查成功", type: "tip", time: '1000', win: true });
      } else {
        $.alerModal({ "message": res.data.msg || "核查失败", type: "tip", time: '1000', isFather: false });
      }
    });
  }

});

